%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:			gnome-tweaks
Version:		46.1
Release:		%mkrel 3
Summary:		A tool to customize advanced GNOME 3 options
Group:			Graphical desktop/GNOME
License:		GPLv3
URL:			https://wiki.gnome.org/GnomeTweakTool
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:		noarch
BuildRequires:		gettext
BuildRequires:		meson
BuildRequires:		pkgconfig(glib-2.0)
BuildRequires:		pkgconfig(gobject-introspection-1.0)
BuildRequires:		pkgconfig(gtk4)
BuildRequires:		pkgconfig(libadwaita-1)
BuildRequires:		pkgconfig(pygobject-3.0) >= 3.46.0
BuildRequires:		pkgconfig(gudev-1.0) >= 238
BuildRequires:		pkgconfig(gsettings-desktop-schemas) >= 3.3.2
BuildRequires:		pkgconfig(python3)
BuildRequires:		desktop-file-utils

Requires:		python3dist(pygobject)
Requires:		gnome-shell

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch GTK+ themes
* Switch icon themes
* Change
  - The user-interface and title bar fonts
  - Icons in menus and buttons
  - Behavior on laptop lid close
  - Shell font size
  - File manager desktop icons
  - Title bar click action
  - Shell clock to show date
  - Font hinting
  - Font anti-aliasing


%files -f %{name}.lang
# License not included in source
%doc AUTHORS NEWS README.md
%license LICENSES/*
%{_bindir}/%{name}
%{python3_sitelib}/gtweak/
%{_datadir}/applications/org.gnome.tweaks.desktop
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/*tweak*.*
%{_datadir}/metainfo/org.gnome.tweaks.appdata.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
	--remove-only-show-in=Pantheon \
	%{buildroot}%{_datadir}/applications/*.desktop


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 46.1-3.mga10
+ Revision: 2243122
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 neoclust <neoclust> 46.1-2.mga10
+ Revision: 2161284
- Rebuild against new python 3.13

* Sun Jun 02 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2069201
- new version 46.1

* Mon Mar 25 2024 daviddavid <daviddavid> 46.0-2.mga10
+ Revision: 2051957
- drop broken "Lock-Screen-password" patch (mga#33002)

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050486
- new version 46.0

* Tue Dec 19 2023 papoteur <papoteur> 45.0-2.mga10
+ Revision: 2019165
- Mass Rebuild - Python 3.12

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992593
- Update to 45.0

* Thu Mar 31 2022 umeabot <umeabot> 40.10-2.mga9
+ Revision: 1836429
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 ovitters <ovitters> 40.10-1.mga9
+ Revision: 1788792
- new version 40.10

* Sun Feb 13 2022 tv <tv> 40.0-2.mga9
+ Revision: 1774041
- Rebuild for python-3.10

* Sun Mar 28 2021 tv <tv> 40.0-1.mga9
+ Revision: 1711255
- Fix filelist
+ ovitters <ovitters>
- new version 40.0

* Tue Mar 16 2021 tmb <tmb> 3.34.1-2.mga9
+ Revision: 1703949
- rebuild for python 3.9

* Thu Dec 10 2020 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1655258
- new version 3.34.1

* Fri Jul 17 2020 martinw <martinw> 3.34.0-3.mga8
+ Revision: 1606789
- rebuild for new libhandy

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1534222
- Mageia 8 Mass Rebuild

* Sat Sep 28 2019 tv <tv> 3.34.0-1.mga8
+ Revision: 1447751
- new release

* Wed Sep 11 2019 tv <tv> 3.33.90-2.mga8
+ Revision: 1439581
- rebuild for python-3.8

* Tue Aug 06 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427792
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-3.mga7
+ Revision: 1392520
- Rebuild with meson 0.50.1

* Fri Mar 15 2019 daviddavid <daviddavid> 3.32.0-2.mga7
+ Revision: 1377519
- require python3-gi not python-gi

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373860
- new version 3.32.0

* Fri Mar 08 2019 ovitters <ovitters> 3.31.90-1.mga7
+ Revision: 1372666
- new version 3.31.90

* Tue Jan 08 2019 tv <tv> 3.30.2-3.mga7
+ Revision: 1351707
- rebuild with python 3.7

* Mon Jan 07 2019 tmb <tmb> 3.30.2-2.mga7
+ Revision: 1350756
- rebuild for python 3.7

* Mon Dec 10 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1339629
- new version 3.30.2

* Thu Sep 27 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1308406
- new version 3.30.1

* Thu Sep 20 2018 umeabot <umeabot> 3.30.0-2.mga7
+ Revision: 1278459
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256325
- new version 3.30.0

* Sun Aug 26 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1254826
- new version 3.29.92

* Mon Aug 13 2018 ovitters <ovitters> 3.29.91.1-1.mga7
+ Revision: 1251220
- new version 3.29.91.1

* Thu Aug 02 2018 ovitters <ovitters> 3.29.90.1-1.mga7
+ Revision: 1246795
- new version 3.29.90.1

* Wed Aug 01 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246664
- new version 3.29.90

* Wed May 23 2018 ovitters <ovitters> 3.29.2-1.mga7
+ Revision: 1231726
- new version 3.29.2

* Sun Apr 08 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216169
- new version 3.28.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208457
- new version 3.28.0

* Wed Mar 07 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1207090
- new version 3.27.92

* Thu Feb 08 2018 colin <colin> 3.27.90.2-3.mga7
+ Revision: 1199729
- Update lock screen background patch.

* Wed Feb 07 2018 ovitters <ovitters> 3.27.90.2-2.mga7
+ Revision: 1199599
- obsolete gnome-tweak-tool
- new version 3.27.90.2
- Upstream renamed gnome-tweak-tool to gnome-tweaks

* Mon Jan 08 2018 ovitters <ovitters> 3.27.3-1.mga7
+ Revision: 1191692
- new version 3.27.3

* Mon Dec 11 2017 ovitters <ovitters> 3.26.4-1.mga7
+ Revision: 1182236
- new version 3.26.4

* Tue Oct 31 2017 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1175089
- new version 3.26.3

* Mon Oct 02 2017 ovitters <ovitters> 3.26.2.1-1.mga7
+ Revision: 1163271
- new version 3.26.2.1
- new version 3.26.2

* Wed Sep 20 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1156402
- new version 3.26.1

* Fri Sep 15 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1154007
- rediff patch & fix %%autosetup call
- new release

* Mon Jul 17 2017 ovitters <ovitters> 3.24.1-1.mga7
+ Revision: 1124599
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094069
- new version 3.24.0

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054899
- new version 3.22.0

* Sat Apr 23 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1005451
- new version 3.20.1

* Wed Mar 23 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994434
- new version 3.20.0

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962423
- new version 3.19.90

* Sun Jan 17 2016 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 925184
- new version 3.19.1

* Wed Nov 11 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 902570
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882737
- new release

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865645
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838557
- new version 3.17.1

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836418
- new version 3.14.3

* Tue Jan 13 2015 colin <colin> 3.14.2-2.mga5
+ Revision: 810424
- Add patch to allow user customisation of the unlock screen background bgo#738260

* Sat Nov 15 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 797320
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 743553
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731697
- new version 3.14.0

* Fri Sep 19 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 697405
- new version 3.13.92

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 679784
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.12.0-2.mga5
+ Revision: 628230
- Rebuild for new Python

* Wed Mar 26 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608861
- new version 3.12.0

* Tue Nov 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 550845
- new version 3.10.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-4.mga4
+ Revision: 550171
- fix url

* Sat Nov 02 2013 fwang <fwang> 3.10.0-3.mga4
+ Revision: 548897
- add requires on python-gi

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 537298
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 486699
- new version 3.10.0

* Thu Sep 19 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481601
- new version 3.9.92

* Wed Sep 04 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 475108
- new version 3.9.91

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90.1-1.mga4
+ Revision: 469803
- br gtk+-3.0
- new version 3.9.90.1

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 469379
- new version 3.9.90

* Wed Jul 17 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 455215
- new version 3.8.1

* Fri May 24 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 426755
- remove Pantheon from Only-Show-In in desktop file
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307108
- new version 3.6.1

* Wed Oct 03 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 302346
- new version 3.6.0

* Mon Aug 13 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 281104
- new version 3.5.5

* Thu Aug 09 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 280228
- update file list
- drop upstreamed patch
- new version 3.5.4

* Thu Jul 12 2012 fwang <fwang> 3.4.0.1-2.mga3
+ Revision: 270211
- add upstream patch to recognize gnome-shell 3.5

* Mon May 14 2012 ovitters <ovitters> 3.4.0.1-1.mga3
+ Revision: 235668
- new version 3.4.0.1
- new version 3.4.0

* Sat Jan 14 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 195900
- do not use autogen
- fix build host
- new version 3.3.4

* Sun Nov 27 2011 colin <colin> 3.3.0-0.20111127.1.mga2
+ Revision: 172862
- Update to git master version to work with gnome-shell 3.3.x

* Sat Nov 19 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 169053
- new version 3.2.2

* Thu Nov 03 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 161994
- fix build
- new version 3.2.1
  should be noarch package

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149882
- new version 3.2.0

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137469
- new version 3.1.90
- br gnome-common
- add upstream patch to build with pygobject3
- drop invalid category
- new version 3.1.0

* Mon Jun 27 2011 fwang <fwang> 3.0.5-1.mga2
+ Revision: 114316
- new version 3.0.5

* Sun Jun 19 2011 kharec <kharec> 3.0.4-1.mga2
+ Revision: 109731
- new version

* Fri Jun 17 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 108663
- Make it build by removing the noarch (bug ?)
- imported package gnome-tweak-tool

